Subject: Re: bug#21666: Correction, emacs-25 *is* broken

From: Jorgen Schäfer <[email-masked]>
Date: Mon, 14 Mar 2016 20:41:23 +0000

> You said earlier that setting gc-cons-threshold to a big value
stopped the problem. What happens if you set it small, say to 1/10th or
1/100 the default value?

I tried that, but that did not really seem to have any effect. :-(

I also tried to come up with some reproduction case creating a huge undo
list, small gc-cons-threshold, and then just running gc/modify undo list a
lot, but that did not cause any crash, either.

Jorgen

On Mon, Mar 14, 2016 at 9:28 PM Phillip Lord <[email-masked]>
wrote:

> Jorgen Schäfer <[email-masked]> writes:
> > Sorry to kill the good news – it took a while longer, but my Emacs just
> > crashed with a segfault, so I'm afraid emacs-25 is still affected by this
> > problem.
>
> Unsurprising. There is not a huge amount of work happening in master.
>
> You said earlier that setting gc-cons-threshold to a big value stopped
> the problem. What happens if you set it small, say to 1/10th or 1/100
> the default value?
>
> If we can provoke the seqfault much faster then it should be possible to
> bisect it.
>
> Phil
>
>
>